corosync_api_v1 Struct Reference

The corosync_api_v1 struct. More...

`#include <coroapi.h>`

## Data Fields

int(* | timer_add_duration )(unsigned long long nanoseconds_in_future, void *data, void(*timer_nf)(void *data), corosync_timer_handle_t *handle)
int(* | timer_add_absolute )(unsigned long long nanoseconds_from_epoch, void *data, void(*timer_fn)(void *data), corosync_timer_handle_t *handle)
void(* | timer_delete )(corosync_timer_handle_t timer_handle)
unsigned long long(* | timer_time_get )(void)
unsigned long long(* | timer_expire_time_get )(corosync_timer_handle_t timer_handle)
void(* | ipc_source_set )(mar_message_source_t *source, void *conn)
int(* | ipc_source_is_local )(const mar_message_source_t *source)
void *(* | ipc_private_data_get )(void *conn)
int(* | ipc_response_send )(void *conn, const void *msg, size_t mlen)
int(* | ipc_response_iov_send )(void *conn, const struct iovec *iov, unsigned int iov_len)
int(* | ipc_dispatch_send )(void *conn, const void *msg, size_t mlen)
int(* | ipc_dispatch_iov_send )(void *conn, const struct iovec *iov, unsigned int iov_len)
void(* | ipc_refcnt_inc )(void *conn)
void(* | ipc_refcnt_dec )(void *conn)
unsigned int(* | totem_nodeid_get )(void)
int(* | totem_family_get )(void)
int(* | totem_mcast )(const struct iovec *iovec, unsigned int iov_len, unsigned int guarantee)
int(* | totem_ifaces_get )(unsigned int nodeid, unsigned int *interface_ids, struct totem_ip_address *interfaces, unsigned int interfaces_size, char ***status, unsigned int *iface_count)
const char *(* | totem_ifaces_print )(unsigned int nodeid)
const char *(* | totem_ip_print )(const struct totem_ip_address *addr)
int(* | totem_crypto_set )(const char *cipher_type, const char *hash_type)
int(* | totem_callback_token_create )(void **handle_out, enum totem_callback_token_type type, int delete, int(*callback_fn)(enum totem_callback_token_type type, const void *), const void *data)

int(*

tpg_init )(void **instance, void(*deliver_fn)(unsigned int nodeid, const void *msg, unsigned int msg_len, int endian_conversion_required), void(*confchg_fn)(enum totem_configuration_type configuration_type, const unsigned int *member_list, size_t member_list_entries, const unsigned int *left_list, size_t left_list_entries, const unsigned int *joined_list, size_t joined_list_entries, const struct memb_ring_id *ring_id))

int(* | tpg_exit )(void *instance)
int(* | tpg_join )(void *instance, const struct corosync_tpg_group *groups, size_t group_cnt)
int(* | tpg_leave )(void *instance, const struct corosync_tpg_group *groups, size_t group_cnt)
int(* | tpg_joined_mcast )(void *totempg_groups_instance, const struct iovec *iovec, unsigned int iov_len, int guarantee)
int(* | tpg_joined_reserve )(void *totempg_groups_instance, const struct iovec *iovec, unsigned int iov_len)
int(* | tpg_joined_release )(int reserved_msgs)
int(* | tpg_groups_mcast )(void *instance, int guarantee, const struct corosync_tpg_group *groups, size_t groups_cnt, const struct iovec *iovec, unsigned int iov_len)
int(* | tpg_groups_reserve )(void *instance, const struct corosync_tpg_group *groups, size_t groups_cnt, const struct iovec *iovec, unsigned int iov_len)
int(* | tpg_groups_release )(int reserved_msgs)
int(* | schedwrk_create )(hdb_handle_t *handle, int(schedwrk_fn)(const void *), const void *context)
void(* | schedwrk_destroy )(hdb_handle_t handle)
int(* | sync_request )(const char *service_name)
int(* | quorum_is_quorate )(void)
int(* | quorum_register_callback )(quorum_callback_fn_t callback_fn, void *context)
int(* | quorum_unregister_callback )(quorum_callback_fn_t callback_fn, void *context)
int(* | quorum_initialize )(struct quorum_callin_functions *fns)
int(* | plugin_interface_reference )(hdb_handle_t *handle, const char *iface_name, int version, void **interface, void *context)
int(* | plugin_interface_release )(hdb_handle_t handle)
unsigned int(* | service_link_and_init )(struct corosync_api_v1 *corosync_api_v1, const char *service_name, unsigned int service_ver)
unsigned int(* | service_unlink_and_exit )(struct corosync_api_v1 *corosync_api_v1, const char *service_name, unsigned int service_ver)
void(* | error_memory_failure )(void) __attribute__((noreturn))
void(* | fatal_error )(cs_fatal_error_t err, const char *file, unsigned int line) __attribute__((noreturn))
void(* | shutdown_request )(void)
void(* | state_dump )(void)
qb_loop_t *(* | poll_handle_get )(void)
void *(* | totem_get_stats )(void)
int(* | schedwrk_create_nolock )(hdb_handle_t *handle, int(schedwrk_fn)(const void *), const void *context)
int(* | poll_dispatch_add )(qb_loop_t *handle, int fd, int events, void *data, int(*dispatch_fn)(int fd, int revents, void *data))
int(* | poll_dispatch_delete )(qb_loop_t *handle, int fd)

## Detailed Description

The corosync_api_v1 struct.

Definition at line 225 of file coroapi.h.

## Field Documentation

## error_memory_failure

void(* corosync_api_v1::error_memory_failure) (void) __attribute__((noreturn))

Definition at line 422 of file coroapi.h.

## fatal_error

void(* corosync_api_v1::fatal_error) (cs_fatal_error_t err, const char *file, unsigned int line) __attribute__((noreturn))

Definition at line 425 of file coroapi.h.

## ipc_dispatch_iov_send

int(* corosync_api_v1::ipc_dispatch_iov_send) (void *conn, const struct iovec *iov, unsigned int iov_len)

Definition at line 265 of file coroapi.h.

## ipc_dispatch_send

int(* corosync_api_v1::ipc_dispatch_send) (void *conn, const void *msg, size_t mlen)

Definition at line 263 of file coroapi.h.

## ipc_private_data_get

void *(* corosync_api_v1::ipc_private_data_get) (void *conn)

Definition at line 256 of file coroapi.h.

## ipc_refcnt_dec

void(* corosync_api_v1::ipc_refcnt_dec) (void *conn)

Definition at line 270 of file coroapi.h.

## ipc_refcnt_inc

void(* corosync_api_v1::ipc_refcnt_inc) (void *conn)

Definition at line 268 of file coroapi.h.

## ipc_response_iov_send

int(* corosync_api_v1::ipc_response_iov_send) (void *conn, const struct iovec *iov, unsigned int iov_len)

Definition at line 260 of file coroapi.h.

## ipc_response_send

int(* corosync_api_v1::ipc_response_send) (void *conn, const void *msg, size_t mlen)

Definition at line 258 of file coroapi.h.

## ipc_source_is_local

int(* corosync_api_v1::ipc_source_is_local) (const mar_message_source_t *source)

Definition at line 254 of file coroapi.h.

## ipc_source_set

void(* corosync_api_v1::ipc_source_set) (mar_message_source_t *source, void *conn)

Definition at line 252 of file coroapi.h.

## plugin_interface_reference

int(* corosync_api_v1::plugin_interface_reference) (hdb_handle_t *handle, const char *iface_name, int version, void **interface, void *context)

Definition at line 397 of file coroapi.h.

## plugin_interface_release

int(* corosync_api_v1::plugin_interface_release) (hdb_handle_t handle)

Definition at line 404 of file coroapi.h.

## poll_dispatch_add

int(* corosync_api_v1::poll_dispatch_add) (qb_loop_t *handle, int fd, int events, void *data, int(*dispatch_fn)(int fd, int revents, void *data))

Definition at line 442 of file coroapi.h.

## poll_dispatch_delete

int(* corosync_api_v1::poll_dispatch_delete) (qb_loop_t *handle, int fd)

Definition at line 452 of file coroapi.h.

## poll_handle_get

qb_loop_t *(* corosync_api_v1::poll_handle_get) (void)

Definition at line 433 of file coroapi.h.

## quorum_initialize

int(* corosync_api_v1::quorum_initialize) (struct quorum_callin_functions *fns)

Definition at line 392 of file coroapi.h.

## quorum_is_quorate

int(* corosync_api_v1::quorum_is_quorate) (void)

Definition at line 385 of file coroapi.h.

## quorum_register_callback

int(* corosync_api_v1::quorum_register_callback) (quorum_callback_fn_t callback_fn, void *context)

Definition at line 386 of file coroapi.h.

Referenced by cs_ipcs_init().

## quorum_unregister_callback

int(* corosync_api_v1::quorum_unregister_callback) (quorum_callback_fn_t callback_fn, void *context)

Definition at line 387 of file coroapi.h.

## schedwrk_create

int(* corosync_api_v1::schedwrk_create) (hdb_handle_t *handle, int(schedwrk_fn)(const void *), const void *context)

Definition at line 372 of file coroapi.h.

## schedwrk_create_nolock

int(* corosync_api_v1::schedwrk_create_nolock) (hdb_handle_t *handle, int(schedwrk_fn)(const void *), const void *context)

Definition at line 437 of file coroapi.h.

## schedwrk_destroy

void(* corosync_api_v1::schedwrk_destroy) (hdb_handle_t handle)

Definition at line 377 of file coroapi.h.

## service_link_and_init

unsigned int(* corosync_api_v1::service_link_and_init) (struct corosync_api_v1 *corosync_api_v1, const char *service_name, unsigned int service_ver)

Definition at line 409 of file coroapi.h.

## service_unlink_and_exit

unsigned int(* corosync_api_v1::service_unlink_and_exit) (struct corosync_api_v1 *corosync_api_v1, const char *service_name, unsigned int service_ver)

Definition at line 414 of file coroapi.h.

## shutdown_request

void(* corosync_api_v1::shutdown_request) (void)

Definition at line 429 of file coroapi.h.

## state_dump

void(* corosync_api_v1::state_dump) (void)

Definition at line 431 of file coroapi.h.

## sync_request

int(* corosync_api_v1::sync_request) (const char *service_name)

Definition at line 379 of file coroapi.h.

## timer_add_absolute

int(* corosync_api_v1::timer_add_absolute) (unsigned long long nanoseconds_from_epoch, void *data, void(*timer_fn)(void *data), corosync_timer_handle_t *handle)

Definition at line 235 of file coroapi.h.

## timer_add_duration

int(* corosync_api_v1::timer_add_duration) (unsigned long long nanoseconds_in_future, void *data, void(*timer_nf)(void *data), corosync_timer_handle_t *handle)

Definition at line 229 of file coroapi.h.

## timer_delete

void(* corosync_api_v1::timer_delete) (corosync_timer_handle_t timer_handle)

Definition at line 241 of file coroapi.h.

## timer_expire_time_get

unsigned long long(* corosync_api_v1::timer_expire_time_get) (corosync_timer_handle_t timer_handle)

Definition at line 246 of file coroapi.h.

## timer_time_get

unsigned long long(* corosync_api_v1::timer_time_get) (void)

Definition at line 244 of file coroapi.h.

## totem_callback_token_create

int(* corosync_api_v1::totem_callback_token_create) (void **handle_out, enum totem_callback_token_type type, int delete, int(*callback_fn)(enum totem_callback_token_type type, const void *), const void *data)

Definition at line 296 of file coroapi.h.

## totem_crypto_set

int(* corosync_api_v1::totem_crypto_set) (const char *cipher_type, const char *hash_type)

Definition at line 294 of file coroapi.h.

## totem_family_get

int(* corosync_api_v1::totem_family_get) (void)

Definition at line 277 of file coroapi.h.

## totem_get_stats

void *(* corosync_api_v1::totem_get_stats) (void)

Definition at line 435 of file coroapi.h.

Referenced by stats_map_get().

## totem_ifaces_get

int(* corosync_api_v1::totem_ifaces_get) (unsigned int nodeid, unsigned int *interface_ids, struct totem_ip_address *interfaces, unsigned int interfaces_size, char ***status, unsigned int *iface_count)

Definition at line 282 of file coroapi.h.

## totem_ifaces_print

const char *(* corosync_api_v1::totem_ifaces_print) (unsigned int nodeid)

Definition at line 290 of file coroapi.h.

## totem_ip_print

const char *(* corosync_api_v1::totem_ip_print) (const struct totem_ip_address *addr)

Definition at line 292 of file coroapi.h.

## totem_mcast

int(* corosync_api_v1::totem_mcast) (const struct iovec *iovec, unsigned int iov_len, unsigned int guarantee)

Definition at line 279 of file coroapi.h.

## totem_nodeid_get

unsigned int(* corosync_api_v1::totem_nodeid_get) (void)

Definition at line 275 of file coroapi.h.

## tpg_exit

int(* corosync_api_v1::tpg_exit) (void *instance)

Definition at line 327 of file coroapi.h.

## tpg_groups_mcast

int(* corosync_api_v1::tpg_groups_mcast) (void *instance, int guarantee, const struct corosync_tpg_group *groups, size_t groups_cnt, const struct iovec *iovec, unsigned int iov_len)

Definition at line 354 of file coroapi.h.

## tpg_groups_release

int(* corosync_api_v1::tpg_groups_release) (int reserved_msgs)

Definition at line 369 of file coroapi.h.

## tpg_groups_reserve

int(* corosync_api_v1::tpg_groups_reserve) (void *instance, const struct corosync_tpg_group *groups, size_t groups_cnt, const struct iovec *iovec, unsigned int iov_len)

Definition at line 362 of file coroapi.h.

## tpg_init

int(* corosync_api_v1::tpg_init) (void **instance, void(*deliver_fn)( unsigned int nodeid, const void *msg, unsigned int msg_len, int endian_conversion_required), void(*confchg_fn)( enum totem_configuration_type configuration_type, const unsigned int *member_list, size_t member_list_entries, const unsigned int *left_list, size_t left_list_entries, const unsigned int *joined_list, size_t joined_list_entries, const struct memb_ring_id *ring_id))

Definition at line 308 of file coroapi.h.

Referenced by ykd_init().

## tpg_join

int(* corosync_api_v1::tpg_join) (void *instance, const struct corosync_tpg_group *groups, size_t group_cnt)

Definition at line 330 of file coroapi.h.

Referenced by ykd_init().

## tpg_joined_mcast

int(* corosync_api_v1::tpg_joined_mcast) (void *totempg_groups_instance, const struct iovec *iovec, unsigned int iov_len, int guarantee)

Definition at line 340 of file coroapi.h.

## tpg_joined_release

int(* corosync_api_v1::tpg_joined_release) (int reserved_msgs)

Definition at line 351 of file coroapi.h.

## tpg_joined_reserve

int(* corosync_api_v1::tpg_joined_reserve) (void *totempg_groups_instance, const struct iovec *iovec, unsigned int iov_len)

Definition at line 346 of file coroapi.h.

## tpg_leave

int(* corosync_api_v1::tpg_leave) (void *instance, const struct corosync_tpg_group *groups, size_t group_cnt)

Definition at line 335 of file coroapi.h.

The documentation for this struct was generated from the following file:

- coroapi.h